<< sampled2continuous | FOSSEE_Signal_Processing_Toolbox | schtrig >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sawtooth

# sawtooth

Generates a Sawtooth wave

### Syntax

    [y]=sawtooth(t)
    [y]=sawtooth(t,width)

### Parameters

t:

  Real valued vector or matrix

width:

  Real number between 0 and 1

### Description

This function returns a sawtooth wave with period 2*pi with +1/-1 as the maximum and minimum values for elements of t. If width is specified, it determines where the maximum is in the interval [0,2*pi].

### Examples

    sawtooth([1 2 3 4 5],0.5)

Report an issue
<< sampled2continuous | FOSSEE_Signal_Processing_Toolbox | schtrig >>